Package: groovy.transform

## [Java] Annotation Type NamedDelegate

- groovy.transform.NamedDelegate

-     @Retention(RetentionPolicy.SOURCE)
      @Target(ElementType.PARAMETER)
      public @interface NamedDelegate

  Marker interface used to indicate that the property names of the annotated parameter represent valid key names when using named arguments and that the property types are applicable for type checking purposes.

  Since:
    2.5.0

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`